complexType "InterestLeg"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | legIdentifier*, effectiveDate?, terminationDate?, interestLegCalculationPeriodDates?, notional?, interestAmount?, interestCalculation
</...>

Content Model Elements (7):

  effectiveDate (defined in DirectionalLeg complexType), interestAmount, interestCalculation, interestLegCalculationPeriodDates, | legIdentifier, notional (in interestLeg), terminationDate (defined in DirectionalLeg complexType)

All Direct / Indirect Based Elements (1):

  interestLeg

Known Usage Locations

- As direct type of elements (1):
  interestLeg

Annotation
A type describing the fixed income leg of the equity swap.
Type Definition Detail

Type Derivation Tree Leg (extension) DirectionalLeg (extension) InterestLeg

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="InterestLeg"> <xsd:complexContent> <xsd:extension base="DirectionalLeg"> <xsd:sequence> <xsd:element minOccurs="0" name="interestLegCalculationPeriodDates" type="InterestLegCalculationPeriodDates"/> <xsd:element minOccurs="0" name="notional" type="ReturnSwapNotional"/> <xsd:element minOccurs="0" name="interestAmount" type="LegAmount"/> <xsd:element name="interestCalculation" type="InterestCalculation"/> <!--View Generation: SKIPPED stubCalculationPeriod - NonStandardFeature--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/7)
interestAmount

  Type: | LegAmount, complex content

  Specifies, in relation to each Interest Payment Date, the amount to which the Interest Payment Date relates. Unless otherwise specified, this term has the meaning defined in the ISDA 2000 ISDA Definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interestAmount" type="LegAmount"/>

interestCalculation

  Type: | InterestCalculation, complex content

  Specifies the calculation method of the interest rate leg of the equity swap. Includes the floating or fixed rate calculation definitions, along with the determination of the day count fraction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="interestCalculation" type="InterestCalculation"/>

interestLegCalculationPeriodDates

  Type: | InterestLegCalculationPeriodDates, complex content

  Component that holds the various dates used to specify the interest leg of the equity swap. It is used to define the InterestPeriodDates identifyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interestLegCalculationPeriodDates" type="InterestLegCalculationPeriodDates"/>

notional

  Type: | ReturnSwapNotional, complex content

  Specifies the notional of a return type swap. When used in the equity leg, the definition will typically combine the actual amount (using the notional component defined by the FpML industry group) and the determination method. When used in the interest leg, the definition will typically point to the definition of the equity leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notional" type="ReturnSwapNotional"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.